Subject: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Protesilaos Stavrou <[email-masked]>
Date: Thu, 18 Mar 2021 09:55:17 +0200

On 2021-03-17, 09:04 +0200, Protesilaos Stavrou <[email-masked]> wrote:

> On 2021-03-13, 12:10 -0500, Stefan Monnier <[email-masked]> wrote:
>
>>> I suggest a 3 step process:
>>>
>>> 1- Add the new `modus-themes` GNU ELPA package.
>>
>> Done.
>
> I can confirm as much.  Thank you!  My plan now is to produce a patch
> for replacing the old packages with the new one.  I will post here once
> I am done.

I made the necessary changes to the old files, based on what Basil had
shared earlier.  I attach modus-operandi, while the same has been done
for modus-vivendi.  You can retrieve those from the following branches:

* https://gitlab.com/protesilaos/modus-themes/-/tree/elpa/modus-operandi-theme
* https://gitlab.com/protesilaos/modus-themes/-/tree/elpa/modus-vivendi-theme

Then I applied the following change to elpa.git:

 elpa-packages | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/elpa-packages b/elpa-packages
index 98bf5a7f4d..0dbd7187ae 100644
--- a/elpa-packages
+++ b/elpa-packages
@@ -213,8 +213,8 @@
  ("mmm-mode"
   :url "https://github.com/purcell/mmm-mode.git"
   :auto-sync t)
- ("modus-operandi-theme":url "https://gitlab.com/protesilaos/modus-themes")
- ("modus-vivendi-theme"	:url "https://gitlab.com/protesilaos/modus-themes")
+ ("modus-operandi-theme":url "https://gitlab.com/protesilaos/modus-themes" :branch "elpa/modus-operandi-theme")
+ ("modus-vivendi-theme"	:url "https://gitlab.com/protesilaos/modus-themes" :branch "elpa/modus-vivendi-theme")
  ("modus-themes"	:core ("etc/themes/modus-themes.el"
                                "etc/themes/modus-operandi-theme.el"
                                "etc/themes/modus-vivendi-theme.el"

To make elpa.git's "make" commands work, I had to explicitly change
branch to point at my remote.

Anyhow, the new tarball installs properly.  So unless I have missed
something, this should be okay now.

In the meantime, I published an announcement regarding the changes:
<https://protesilaos.com/codelog/2021-03-17-modus-themes-packaging-changes/>.
I will update it once we are done with this point.  Hopefully this
should be enough.

Thanks again for your time and efforts!

-- 
Protesilaos Stavrou
protesilaos.com